Show / Hide Table of Contents

# Struct ConfigEntry

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Configuration

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ConfigEntry

### Fields

| Improve this Doc View Source

#### _Padding

##### Declaration

    public uint _Padding

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Index

##### Declaration

    public uint Index

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Owner

##### Declaration

    public ConfigBase*Owner

##### Field Value

Type | Description
--- | ---
ConfigBase* |

| Improve this Doc View Source

#### Properties

##### Declaration

    public ConfigProperties Properties

##### Field Value

Type | Description
--- | ---
ConfigProperties |

| Improve this Doc View Source

#### Type

##### Declaration

    public int Type

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Value

##### Declaration

    public ConfigValue Value

##### Field Value

Type | Description
--- | ---
ConfigValue |

### Methods

| Improve this Doc View Source

#### SetValue(Single)

##### Declaration

    public bool SetValue(float value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValue(String)

##### Declaration

    public bool SetValue(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValue(UInt32, UInt32)

##### Declaration

    public bool SetValue(uint value, uint unk = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | value |
System.UInt32 | unk |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValueFloat(Single)

##### Declaration

    public bool SetValueFloat(float value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValueString(Utf8String*)

##### Declaration

    public bool SetValueString(Utf8String*value)

##### Parameters

Type | Name | Description
--- | --- | ---
Utf8String* | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValueString(String)

##### Declaration

    public bool SetValueString(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetValueUInt(UInt32, UInt32)

##### Declaration

    public bool SetValueUInt(uint value, uint unk = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | value |
System.UInt32 | unk |

##### Returns

Type | Description
--- | ---
System.Boolean |